com.lowagie.text.pdf

## Class PdfNull

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfNull

    public class PdfNull
    extends PdfObject

`PdfNull` is the Null object represented by the keyword null.

This object is described in the 'Portable Document Format Reference Manual version 1.7' section 3.2.8 (page 63).

See Also:
  `PdfObject`

### Field Summary

Fields
`private static java.lang.String` `CONTENT` The content of the `PdfNull`-object.
`static PdfNull` `PDFNULL` An instance of the `PdfNull`-object.

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfNull()` Constructs a `PdfNull`-object.

### Method Summary

Methods
`java.lang.String` `toString()` Returns the `String`-representation of this `PdfObject`.

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, toPdf, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PDFNULL

    public static final PdfNull PDFNULL

An instance of the `PdfNull`-object.

#### CONTENT

    private static final java.lang.String CONTENT

The content of the `PdfNull`-object.

See Also:
  Constant Field Values

### Constructor Detail

#### PdfNull

    public PdfNull()

Constructs a `PdfNull`-object.

You never need to do this yourself, you can always use the static final object PDFNULL.

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `PdfObject`
Returns the `String`-representation of this `PdfObject`.

Overrides:
  `toString` in class `PdfObject`
Returns:
  a `String`